#!/bin/sh

_orapre=instantclient
_oraver=11.2.0.4.0

_prefix=$RECIPE_DIR/../pkgs/oracle/instantclient/11g
if uname -a | grep Darwin > /dev/null; then
    _is_darwin=1
    _is_linux=0
    _base=$_prefix/osx-$ARCH
    _oratgt=macos
    _oraver=$(echo $_oraver | sed 's/0.4.0/0.3.0/')
    _soext=.dylib
else
    _is_linux=1
    _is_darwin=0
    _base=$_prefix/linux-$ARCH
    _oratgt=linux
    _soext=.so
fi

if [ $ARCH -eq 64 ]; then
    _oratgt=${_oratgt}.x64
fi

_basic=$_base/$_orapre-basic-$_oratgt-${_oraver}.zip
_sdk=$_base/$_orapre-sdk-$_oratgt-${_oraver}.zip
_jdbc=$_base/$_orapre-jdbc-$_oratgt-${_oraver}.zip
_odbc=$_base/$_orapre-odbc-$_oratgt-${_oraver}.zip
_sqlplus=$_base/$_orapre-sqlplus-$_oratgt-${_oraver}.zip
_tools=$_base/$_orapre-tools-$_oratgt-${_oraver}.zip

mkdir $PREFIX/oracle
cd $PREFIX/oracle
for _z in $_basic $_sdk $_jdbc $_odbc $_sqlplus $_tools ; do
    if [ ! -f $_z ]; then
        continue
    fi
    unzip $_z
done

_name=instantclient_11_2

mkdir $PREFIX/include
cd $PREFIX/include
for _f in ../oracle/$_name/sdk/include/*.h; do
    mv -v $_f .
done

mkdir $PREFIX/lib
cd $PREFIX/lib
for _f in ../oracle/$_name/*.jar; do
    mv -v $_f .
done

for _p in ../oracle/$_name/*$_soext*; do
    mv -v $_p .
    if [ $_is_linux -eq 1 ]; then
        _f=$(basename $_p)
        _noversion=$(echo $_f | cut -f 1-2 -d .)
        if [ "$_noversion" != "$_f" ]; then
            ln -sf $_f $_noversion
        fi
    fi
done

mkdir $PREFIX/bin
cd $PREFIX/bin
for _n in adrci genezi uidrvci sqlplus; do
    mv ../oracle/$_name/$_n .
done

echo any key to continue
read

# vim:set ts=8 sw=4 sts=4 tw=78 et:
